Bug 456785 - gdm login (init 5) results in an extra Xorg processes
gdm login (init 5) results in an extra Xorg processes
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 21:48 EDT by Sam Steingold
Modified: 2015-01-14 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 11:10:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Steingold 2008-07-26 21:48:29 EDT
Description of problem:
when booting to X11 ("id:5:initdefault:" in /etc/inittab), I have an extra Xorg
process running:

 2585 root      20   0 93148  25m 6604 S 19.5  3.4  38:14.95 Xorg               
 7848 root      20   0 92164  23m 3412 S  4.0  3.1  33:06.14 Xorg               
 2311 root      20   0 75460  18m 4528 S  0.3  2.4   0:02.57 Xorg               

the first two are my & my wife's login sessions, and the 3rd one is, apparently,
the gdm session. I find it absurd that it keeps an X process alive for itself -
18MB RAM is far too much to waste).

Version-Release number of selected component (if applicable):
gdm-2.22.0-8.fc9.i386

How reproducible:
always

Steps to Reproduce:
1.as root: "init 5"
2.N users login at the gdm graphics prompt
3.observe N+1 Xorg processes running on the system
  
Actual results:
N+1 Xorg processes

Expected results:
N Xorg processes

Additional info:
Comment 1 Bug Zapper 2009-06-09 22:15:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 07:37:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Sam Steingold 2009-11-18 09:40:45 EST
I am no longer using fedora.
Comment 4 Sam Steingold 2009-11-18 09:41:40 EST
note that ubuntu does not have this problem
Comment 5 Ray Strode [halfline] 2009-11-18 11:10:27 EST
Okay, given that I don't see this problem in recent versions of Fedora and your don't see this problem in recent versions of Ubuntu, I'm guessing this issue was a transient problem that's since been fixed.

Closing WORKSFORME.

If you're up for a little weekend experimentation, you may want to try the Fedora 12 live usb image.  It shaped up to be a pretty good release.

Note You need to log in before you can comment on or make changes to this bug.